GTGBasic.h File Reference

GTGBasic is a basic interface to generate trace in various formats. More...

`#include <stdlib.h>`
`#include <string.h>`
`#include "GTGColor.h"`
`#include "GTGTypes.h"`

Go to the source code of this file.

## Macros

#define | GTG_FLAG_NONE 0
| No flag specified. More...
#define | GTG_FLAG_USE_MPI 1
| Several MPI processes are currently using GTG. More...
#define | GTG_FLAG_NOTBUF 2
| For writing the traces in a non-buffered mode. More...
#define | GTG_FLAG_OUTOFORDER 4
| Allow the application to record events out of order. More...

## Typedefs

typedef uint8_t | gtg_flag_t
| Flags that can be specified to GTG. More...
typedef enum traceType | traceType_t

## Enumerations

enum | traceType { PAJE, VITE, OTF, TAU, PAJE, VITE, OTF, TAU }

## Functions

void | setTraceType (traceType_t type)
| Set the type of output trace. More...
traceType_t | getTraceType ()
| Get the type of the output trace. More...
char * | getName (int procRk)
| To get the name of the file to give to the addCont function for processors. More...
int | bufferedModeActivated ()
| Check wether the buffered-mode is activated. More...
trace_return_t | initTrace (const char *filename, int rank, gtg_flag_t flags)
| Initialize a trace. More...
trace_return_t | endTrace ()
| Finalize a trace. More...
trace_return_t | setCompress (int val)
| Enable trace compression (only available for OTF traces). More...
trace_return_t | addContType (const char *alias, const char *contType, const char *name)
| Add a Container Type. More...
trace_return_t | addStateType (const char *alias, const char *contType, const char *name)
| Add a State Type. More...
trace_return_t | addEventType (const char *alias, const char *contType, const char *name)
| Add an Event Type. More...
trace_return_t | addLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
| Add a Link Type. More...
trace_return_t | addVarType (const char *alias, const char *name, const char *contType)
| Add a Variable Type. More...
trace_return_t | addEntityValue (const char *alias, const char *entType, const char *name, gtg_color_t p_color)
| Add an Entity Value. More...
trace_return_t | addContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
| Add a Container. More...
trace_return_t | destroyContainer (varPrec time, const char *name, const char *type)
| Destroy a Container. More...
trace_return_t | setState (varPrec time, const char *type, const char *cont, const char *val)
| Set the State of a Container. More...
trace_return_t | pushState (varPrec time, const char *type, const char *cont, const char *val)
| Save the current State on a stack and change the State of a Container. More...
trace_return_t | popState (varPrec time, const char *type, const char *cont)
| Revert the State of a Container to its previous value. More...
trace_return_t | addEvent (varPrec time, const char *type, const char *cont, const char *val)
| Add an Event. More...
trace_return_t | startLink (varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)
| Start a Link. More...
trace_return_t | endLink (varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)
| End a Link. More...
trace_return_t | setVar (varPrec time, const char *type, const char *cont, varPrec val)
| Set a Variable value. More...
trace_return_t | addVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | subVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | AddComment (const char *comment)

## Detailed Description

GTGBasic is a basic interface to generate trace in various formats.

Version
  0.1

Authors
  Developers are :
  Francois Rue - franc.nosp@m.ois..nosp@m.rue@l.nosp@m.abri.nosp@m..fr
  Francois Trahay - franc.nosp@m.ois..nosp@m.traha.nosp@m.y@la.nosp@m.bri.f.nosp@m.r
  Johnny Jazeix - jazei.nosp@m.x@en.nosp@m.seirb.nosp@m.-mat.nosp@m.meca..nosp@m.fr
  Kevin Coulomb - kevin.nosp@m..cou.nosp@m.lomb@.nosp@m.gmai.nosp@m.l.com
  Mathieu Faverge - faver.nosp@m.ge@l.nosp@m.abri..nosp@m.fr
  Olivier Lagrasse - lagra.nosp@m.sse@.nosp@m.ensei.nosp@m.rb-m.nosp@m.atmec.nosp@m.a.fr
  It has been initiated in 2010 by eztrace and ViTE projects that both needs a good library to generate traces.

## Macro Definition Documentation

#define GTG_FLAG_NONE 0

No flag specified.

#define GTG_FLAG_NOTBUF 2

For writing the traces in a non-buffered mode.

#define GTG_FLAG_OUTOFORDER 4

Allow the application to record events out of order.

#define GTG_FLAG_USE_MPI 1

Several MPI processes are currently using GTG.

## Typedef Documentation

typedef uint8_t gtg_flag_t

Flags that can be specified to GTG.

typedef enum traceType traceType_t

## Enumeration Type Documentation

enum traceType

Enumerator
PAJE | Paje trace format.
VITE | ViTE-specific trace format.
OTF | OTF trace format.
TAU | TAU Trace format.
PAJE | Paje trace format.
VITE | ViTE-specific trace format.
OTF | OTF trace format.
TAU | TAU Trace format.

## Function Documentation

trace_return_t AddComment | ( | const char * | comment | ) |

trace_return_t addVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

trace_return_t subVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |